KUBERNETES(1)

NAME

kubeadm upgrade apply - Upgrade your Kubernetes cluster to the specified version.

SYNOPSIS

kubeadm upgrade apply [OPTIONS]

DESCRIPTION

Upgrade your Kubernetes cluster to the specified version.

OPTIONS

--allow-experimental-upgrades=false
    Show unstable versions of Kubernetes as an upgrade alternative and allow upgrading to an alpha/beta/release candidate versions of Kubernetes.

--allow-release-candidate-upgrades=false
    Show release candidate versions of Kubernetes as an upgrade alternative and allow upgrading to a release candidate versions of Kubernetes.

--config=""
    Path to a kubeadm configuration file.

--cri-socket=""
    Path to the CRI socket to connect. If empty kubeadm will try to auto-detect this value; use this option only if you have more than one CRI installed or if you have non-standard CRI socket.

--dry-run=false
    Do not change any state, just output what actions would be performed.

--etcd-upgrade=true
    Perform the upgrade of etcd.

--feature-gates=""
    A set of key=value pairs that describe feature gates for various features. Options are:

-f, --force=false
    Force upgrading although some requirements might not be met. This also implies non-interactive mode.

--ignore-preflight-errors=[]
    A list of checks whose errors will be shown as warnings. Example: 'IsPrivilegedUser,Swap'. Value 'all' ignores errors from all checks.

--image-pull-timeout=15m0s
    The maximum amount of time to wait for the control plane pods to be downloaded.

--kubeconfig="/etc/kubernetes/admin.conf"
    The kubeconfig file to use when talking to the cluster. If the flag is not set, a set of standard locations can be searched for an existing kubeconfig file.

--print-config=false
    Specifies whether the configuration file that will be used in the upgrade should be printed or not.

-y, --yes=false
    Perform the upgrade and do not prompt for confirmation (non-interactive mode).

OPTIONS INHERITED FROM PARENT COMMANDS

--azure-container-registry-config=""
    Path to the file containing Azure container registry configuration information.

--log-flush-frequency=5s
    Maximum number of seconds between log flushes

--rootfs=""
    [EXPERIMENTAL] The path to the 'real' host root filesystem.

--version=false
    Print version information and quit

SEE ALSO

kubeadm-upgrade(1),

HISTORY

January 2015, Originally compiled by Eric Paris (eparis at redhat dot com) based on the kubernetes source material, but hopefully they have been automatically generated since!